<script setup>
import { useRoute, useRouter } from "vue-router";
import { computed } from "vue";
import MarvelHeroes from '../components/MarvelHeroes.vue'
import DCHeroes from '../components/DCHeroes.vue'
import Footer from '@/components/Footer.vue'

// Router
const router = useRouter();

//extraemos valor para cargar el compoenente dinamico
const activeForm = computed(() => router.currentRoute.value.params.type || "marvel");
</script>

<template>
    <main class="grid-container">
        <!--Cargamos el componente segun el link seleccionado-->
        <component :is="activeForm == 'marvel' ? MarvelHeroes : DCHeroes" />
    </main>
    <Footer></Footer>
</template>
